const app = require('../../utils/util.js');
const tools = require('../../utils/tools.js');
Page({
  data: {
    dataArr: []
  },
  getjj(sessionKey) {
    wx.request({
      url: app.globalData.publicUrl + '/wx/student/selClasToo',
      method: "post",
      data: {
        sessionKey: sessionKey,
        isActive: "0"
      },
      success:  (res)=> {
        this.setData({
          dataArr: res.data.data
        })
      }
    })
  },
  async onLoad() {
    const sessionKey = await tools.checkSessionAndLogin();
    this.getjj(sessionKey);
  }
})